
CoCoALib - Bug #1571

ker_H needs care

29 Jan 2021 15:40 - Anna Maria Bigatti

Status: New Start date: 29 Jan 2021

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 10%

Category: Maths Bugs Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.00 hour

Description

The function ker_H is not properly developed/documented.

In particular, there are problems for

ker_H(QuotientingHom(R/ideal(R,[])));

ker_H(QuotientingHom(R/ideal(x^2+1)));

ker_H(InducedHom(R/ideal(x-y),PolyAlgebraHom(R,R/ideal(x-y),"x,y,z")));

Related issues:

Related to CoCoALib - Bug #1484: ker bug (quotientinghom for R/ideal()) Closed 14 Sep 2020

History

#1 - 29 Jan 2021 15:40 - Anna Maria Bigatti

- Related to Bug #1484: ker bug (quotientinghom for R/ideal()) added

#2 - 29 Jan 2021 15:42 - Anna Maria Bigatti

some verbosity has already been included in the file HomomorphismOps.C

#3 - 16 Feb 2024 17:49 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
